package cn.kk.spring_simple_operation.mapper;

import cn.kk.spring_simple_operation.entity.PhotoProgress;
import cn.kk.spring_simple_operation.entity.PhotoProgressPerson;
import cn.kk.spring_simple_operation.model.vo.PhotoProcessExportVo;
import cn.kk.spring_simple_operation.model.vo.PhotoProgressPhotographerVo;
import cn.kk.spring_simple_operation.model.vo.PhotoSkuInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 图片协同系统 Mapper 接口
 * </p>
 *
 * @author guokunkun
 * @since 2024-12-25
 */
@Mapper
public interface PhotoProgressMapper extends BaseMapper<PhotoProgress> {

	List<PhotoProgress> getListBySku(@Param("skuList") List<String> collect);

	List<PhotoSkuInfo> getSkuInfo(@Param("developerNumList") List<String> developerNumList);

	List<PhotoSkuInfo> getSkuInfo2();

	List<PhotoSkuInfo> getPhotoSkuInfo(@Param("skuList") List<String> skuList);

	List<PhotoSkuInfo> getPhotoSkuSimpleVideoStatus(@Param("skuList") List<String> l);

	List<String> getDevelopers(@Param("developNumList") List<String> developNumList);

	List<PhotoProgressPhotographerVo> getPhotoProgressIdByDeveloper(@Param("developNumList") List<String> developers);

	void updatePhotography(@Param("visualNumber") String visualNumber, @Param("userName") String userName, @Param("idList") List<Long> idList);

	List<PhotoProgressPerson> getPhotoSkuSimpleVideoPhotography(@Param("skuList") List<String> skuList);

	List<PhotoProcessExportVo> selectPhotoProcessList();
}
